/* Stile base: Desktop (>768px) */
* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

html, body {
	height: 100%;
}

body {
	display: flex;
	flex-direction: column;
	font-family: 'Montserrat', sans-serif;
	background: #C2DCE8;
	color: #334155;
	line-height: 1.6;
}

h1,h2,h3,h4,h5,h6 {
	color: #199D8B;
	font-family:'Poppins', sans-serif;
}
header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15px 30px;
	background: #232235;
	color: #F8FAFC;
	height: 100px;
}

.logo {
	display: flex;
	align-items: center;
	gap: 10px;
	font-family: 'Montserrat', sans-serif;
	font-size: 30px;
	font-weight: bold;
}

.logo img {
	height: 50px;
}

nav {
	background: #38325F;
}

.menu {
	display: flex;
	list-style: none;
	gap: 10px;
	padding: 10px 30px;
}

.menu a {
	display: block;
	padding: 10px 20px;
	background: #5A5193;
	color: #F8FAFC;
	text-decoration: none;
	border-radius: 5px;
	width: 200px;
	text-align: center;
}

.menu a:hover {
	background: #64748b;
}

.menu a.active {
	background: #0EA5E9;
	color: #FFFFFF;
	font-weight: bold;
}

.menu a.active:hover {
	background: #0284C7;
}

.hamburger {
	display: none;
	flex-direction: column;
	gap: 5px;
	cursor: pointer;
}

.hamburger .material-icons {
	font-size: 32px;
	color: white;
}

.container {
	flex: 1;
	display: flex;
	width: 100%;
	text-align: justify;
	gap: 20px;
	padding: 20px 30px;
}

main {
	flex: 3;
}

article {
	background:  #F1FFFD;
	padding: 20px;
	text-align: justify;
	margin-bottom: 20px;
	overflow: auto;
}

article img {
	float: left;
	width: 33%;
	min-width: 150px;
	margin-right: 20px;
	margin-bottom: 10px;
	background: #ffffff;
	padding: 6px;
	border: 1px solid #e5e7eb;
	box-shadow: 0 4px 8px rgba(0,0,0,0.08);
}
article {
    background: white;
    padding: 20px;
    margin-bottom: 20px;
    overflow: auto; 
	text-align: justify;
}
article ol {
	margin-left:20px;
}
article ul {
    list-style-position: inside;
}



aside {
	flex: 1;
	display: flex;
	flex-direction: column;
	gap: 20px;
	
}

.box {
	background: lavender;
	padding: 15px;
}

.box img {
	width: 100%;
	background: #ffffff;
	padding: 6px;
	border: 1px solid #e5e7eb;
	box-shadow: 0 4px 8px rgba(0,0,0,0.08);
}

footer {
	background: #02362F;
	color: #F8FAFC;
	text-align: center;
	height: 50px;
}

footer a {
	color: #93C5FD;
	text-decoration: none;
}


@media (max-width: 1100px) {
	.container {
		flex-direction: column;
	}

	aside {
		flex-direction: row;
	}
  
	aside .box {
		flex: 1;
	}
	
}

@media (max-width: 1100px) {
	nav {
		position: fixed;
		top:0;
		right:0;
		bottom:0;
		left:0;
		background: #0F172A;
		display: flex;
		transform: translateY(-100%);
		transition: transform 0.4s ease;
		z-index: 100;
	}
    
	nav.show {
		transform: translateY(0);
	}

	.menu {
		flex-direction: column;
		gap: 30px;
		padding: 80px 0 0 0;
		font-size: 24px;
		font-weight: 600;
	}

	.menu a {
		color: #FFFFFF;	  
		background: none;
		text-align: left;
	}

	.menu a:hover {
		color: #DDDDDD;
		background: none;
	}
  
	.menu a.active {
	background: #0EA5E9;
	color: #FFFFFF;
	font-weight: bold;
	}

	.menu a.active:hover {
		color: #0284C7;
		background: none;
	}

	.hamburger {
		display: flex;
		z-index: 101;
	}

	.hamburger .material-icons {
		font-size: 36px;
		color: #FFFFFF;
		cursor: pointer;
	}

	aside {
		flex-direction: column;
	}

    article img {
        float: none;        
        width: 100%;        
        min-width: 0;
        margin-right: 0;
    }

}
	
}
